/* eslint-disable no-undef */
const STAGE_CONFIG = 'STAGING';


let offeringOptions = {};

if (typeof window !== 'undefined') {
	channelUrl = window.location.href;
}

function waitForOptions() {
	const checkInterval = setInterval(() => {
		if (window?.options) {
			// console.log('options is now available', options);
			offeringOptions = options;
			// console.log('offeringOptions', offeringOptions);
			clearInterval(checkInterval); // Stop checking
		}
	}, 100); // Check every 100 milliseconds
}

try {
	document.addEventListener('DOMContentLoaded', () => {
		waitForOptions();
	});
} catch (error) {
	console.log(error);
}

const config = {
	userEvents(e) {
		//
		if (window?.Buddy?.partnerUserEvents) {
			window.Buddy.partnerUserEvents(e);
		}
		//
	},
	themeBase: {
		baseTheme: 'base',
		palette: 'base',
		overrides: {
			styles: {
				'#powered-by-buddy-container': {
					display: 'none',
				},

				'#quoteLoader-view-container.view-container': {
					minHeight: '600px',
					// 	display: 'grid',
					// 	gridTemplateColumns: 'repeat(2, 1fr)',
					// 	gridTemplateAreas: `
					// 	"headline     headline"
					// 	"loadingCard  loadingCard"
					//   `,
					// gap: '1rem',
					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						// gridArea: 'headline',
						'& > p': {
							fontSize: '20px !important',
							paddingBottom: '0 !important',
							marginBottom: '0 !important',
						},

					},
					'& > [data-id="loadingCard"]': {
						marginTop: '2rem',
						gridArea: 'loadingCard',
						minHeight: '500px',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
					},
				},
				'#quote-error-view-view-container.view-container': {
					minHeight: '600px',
					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						'& > p': {
							fontSize: '20px !important',
							paddingBottom: '0 !important',
							marginBottom: '0 !important',
						},

					},
					'& > [data-id="errorCard"]': {
						marginTop: '2rem',
						gridArea: 'loadingCard',
						minHeight: '500px',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
					},
				},
				'#quote-past-view-view-container.view-container': {

					minHeight: '600px',
					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						'& > p': {
							fontSize: '20px !important',
							paddingBottom: '0 !important',
							marginBottom: '0 !important',
						},

					},
					'& > [data-id="errorCard"]': {
						marginTop: '2rem',
						gridArea: 'loadingCard',
						minHeight: '500px',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
					}

				},
				'#quote-expired-view-view-container.view-container': {

					minHeight: '600px',
					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						'& > p': {
							fontSize: '20px !important',
							paddingBottom: '0 !important',
							marginBottom: '0 !important',
						},

					},
					'& > [data-id="errorCard"]': {
						marginTop: '2rem',
						gridArea: 'loadingCard',
						minHeight: '500px',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
					}

				},
				'#quote-not-valid-view-view-container.view-container': {

					minHeight: '600px',
					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						'& > p': {
							fontSize: '20px !important',
							paddingBottom: '0 !important',
							marginBottom: '0 !important',
						},

					},
					'& > [data-id="errorCard"]': {
						marginTop: '2rem',
						gridArea: 'loadingCard',
						minHeight: '500px',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
					}

				},
				'#enrollmentCheck-view-container.view-container': {

					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						'& > p': {
							fontSize: '20px !important',
							paddingBottom: '0 !important',
							marginBottom: '0 !important',
						},

					},
					'& > [data-id="contractCard"], & > [data-id="customerCard"]': {
						marginTop: '2rem',
						minHeight: '500px',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
					}
				},
				'#enrolledError-view-container.view-container': {

					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						'& > p': {
							fontSize: '20px !important',
							paddingBottom: '0 !important',
							marginBottom: '0 !important',
						},

					},
					'& > [data-id="errorCard"]': {
						marginTop: '2rem',
						minHeight: '500px',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
					}
				},

				'#agentSummary-view-container.view-container': {
					'#agentSummary-view-title, #quote-price-label-container': {
						display: 'none',
					},

					display: 'grid',
					gridTemplateColumns: 'repeat(1, 1fr)',
					gridTemplateAreas: `
					"headline"
					"contractDetailsCard"
					"billingCard"
					"assetCard"
				  `,
					gap: '1rem',
					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						gridArea: 'headline',
					},
					'& > [data-id="contractDetailsCard"]': {
						gridArea: 'contractDetailsCard',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						'& h2, p': {
							display: 'inline-block',
						},
						'& ul': {
							display: 'flex',
							flexWrap: 'wrap',
							'& li': {
								width: '33%',
								listStyle: 'none',
								'@media (max-width: 600px)': {
									width: '100%',
								}
							},
							'& li:nth-child(4)': {
								width: '100%',
								borderBottom: '1px solid #ccc',
								marginBottom: '1rem',
								paddingBottom: '0.75rem',
							},
						},

					},
					'& > [data-id="billingCard"]': {
						gridArea: 'billingCard',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						'& ul': {
							display: 'flex',
							flexWrap: 'wrap',
							'& li': {
								width: '33%',
								listStyle: 'none',
								'@media (max-width: 600px)': {
									width: '100%',
								}
							},
						},
					},
					'& > [data-id="assetCard"]': {

						display: 'grid',
						gridTemplateColumns: 'repeat(2, 1fr)',
						gridTemplateAreas: `
						"headline	 totalValue"
						"asset1	 asset1"
						"asset2	 asset2"
						"asset3	 asset3"
						"asset4	 asset4"
						"asset5	 asset5"
						"asset6	 asset6"
						"asset7	 asset7"
						"asset8	 asset8"
						"asset9	 asset9"
						"asset10	 asset10"
					  `,

						'@media (max-width: 600px)': {
							display: 'grid',
							gridTemplateColumns: 'repeat(1, 1fr)',
							gridTemplateAreas: `
								"headline"
								"totalValue"
								"asset1"
								"asset2"
								"asset3"
								"asset4"
								"asset5"
					 	  `,
						},

						gridArea: 'assetCard',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',

						h2: {
							gridArea: 'headline',
						},

						p: {
							gridArea: 'totalValue',
							textAlign: 'right',
							margin: '0',
							marginRight: '2rem',
							padding: '0',
							'@media (max-width: 600px)': {
								textAlign: 'left !important'
							},
						},

						hr: {
							display: 'none',
						},

						'ul:nth-of-type(1)': { gridArea: 'asset1', },
						'ul:nth-of-type(2)': { gridArea: 'asset2', },
						'ul:nth-of-type(3)': { gridArea: 'asset3', },
						'ul:nth-of-type(4)': { gridArea: 'asset4', },
						'ul:nth-of-type(5)': { gridArea: 'asset5', },
						'ul:nth-of-type(6)': { gridArea: 'asset6', },
						'ul:nth-of-type(7)': { gridArea: 'asset7', },
						'ul:nth-of-type(8)': { gridArea: 'asset8', },
						'ul:nth-of-type(9)': { gridArea: 'asset9', },
						'ul:nth-of-type(10)': { gridArea: 'asset10', },

						'& ul:nth-of-type(even)': {
							marginTop: '0',
							paddingTop: '0.5rem',
							backgroundColor: '#F2F4F6 !important',
						},
						'& ul': {
							display: 'flex',
							flexWrap: 'wrap',
							marginBottom: '0!important',
							'& li': {
								width: '33%',
								listStyle: 'none',
								'@media (max-width: 600px)': {
									width: '100%',
								}
							},
							'& li:nth-child(5)': {
								width: '66%',
							},
						},

					},

					/* Responsive adjustments for mobile */
					'@media (max-width: 600px)': {
						gridTemplateColumns: '1fr',
						gridTemplateAreas: `
					  "headline"
					"contractDetailsCard"
					"billingCard"
					"assetCard"
					`,
						paddingBottom: '6rem', // Increase if needed for smaller screens
					},
				},

				'#consumerSummary-view-container.view-container': {
					'#agentSummary-view-title, #quote-price-label-container': {
						display: 'none',
					},

					display: 'grid',
					gridTemplateColumns: 'repeat(2, 1fr)',
					gridTemplateAreas: `
					"headline     headline"
					"subheadline  subheadline"
					"card1        card2"
					"card3        card3"
					"card4      card4"
				  `,
					gap: '1rem',
					paddingBottom: '1rem', // Space so the nav doesn't overlap content

					/* Grid area assignments */
					'& > [data-id="headline"]': {
						gridArea: 'headline',
						'& > p': {
							fontSize: '20px !important',
							paddingBottom: '0 !important',
							marginBottom: '0 !important',
						},

					},
					'& > [data-id="subHeadline"]': {
						gridArea: 'subheadline',
					},
					'& > [data-id="contractCard"]': {
						gridArea: 'card1',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						'& ul': {
							margin: '0',
							padding: '0',
							'& li': {
								color: 'var(--color-primary)',
								listStyle: 'none',
								padding: '0',
							},
						},
					},
					'& > [data-id="customerCard"]': {
						gridArea: 'card2',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						'& ul': {
							margin: '0',
							padding: '0',
							'& li': {
								color: 'var(--color-primary)',
								listStyle: 'none',
								padding: '0',
							},
						},
					},
					'& > [data-id="assetCard"]': {
						display: 'grid',
						gridTemplateColumns: 'repeat(2, 1fr)',
						gridTemplateAreas: `
						"headline	 totalValue"
						"asset1	 asset1"
						"asset2	 asset2"
						"asset3	 asset3"
						"asset4	 asset4"
						"asset5	 asset5"
						"asset6	 asset6"
						"asset7	 asset7"
						"asset8	 asset8"
						"asset9	 asset9"
						"asset10	 asset10"
					  `,

						'@media (max-width: 600px)': {
							display: 'grid',
							gridTemplateColumns: 'repeat(1, 1fr)',
							gridTemplateAreas: `
								"headline"
								"totalValue"
								"asset1"
								"asset2"
								"asset3"
								"asset4"
								"asset5"
					 	  `,
						},

						gridArea: 'card3',

						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',

						h2: {
							gridArea: 'headline',
						},

						p: {
							gridArea: 'totalValue',
							textAlign: 'right',
							margin: '0',
							marginRight: '2rem',
							padding: '0',
							'@media (max-width: 600px)': {
								textAlign: 'left !important'
							},
						},

						hr: {
							display: 'none',
						},

						'ul:nth-of-type(1)': { gridArea: 'asset1', },
						'ul:nth-of-type(2)': { gridArea: 'asset2', },
						'ul:nth-of-type(3)': { gridArea: 'asset3', },
						'ul:nth-of-type(4)': { gridArea: 'asset4', },
						'ul:nth-of-type(5)': { gridArea: 'asset5', },
						'ul:nth-of-type(6)': { gridArea: 'asset6', },
						'ul:nth-of-type(7)': { gridArea: 'asset7', },
						'ul:nth-of-type(8)': { gridArea: 'asset8', },
						'ul:nth-of-type(9)': { gridArea: 'asset9', },
						'ul:nth-of-type(10)': { gridArea: 'asset10', },

						ul: {
							display: 'flex',
							justifyContent: 'space-between',
						},

						'& ul': {
							padding: '0.5rem',
							margin: '0.25rem 0',
							backgroundColor: '#F2F4F6',

							'li:nth-of-type(1)': { width: '30%', },
							'li:nth-of-type(2)': { width: '22%', },
							'li:nth-of-type(3)': { width: '33%', },
							'li:nth-of-type(4)': { width: '15%', },

							'& li': {
								color: 'var(--color-primary)',
								listStyle: 'none',
								padding: '0',
							},
						},
						'& hr': {
							margin: '0.5rem 0',
							border: 'none',
							borderTop: '1px solid #eee',
						},
					},
					'& > [data-id="funderCard"]': {
						gridArea: 'card4',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						'& ul': {
							margin: '0',
							padding: '0',
							display: 'flex',
							justifyContent: 'space-between',
							'& li': {
								color: 'var(--color-primary)',
								listStyle: 'none',
								padding: '0',
								marginRight: '3rem',
							},
						},

					},
					'& > [data-id="billingCard"]': {
						gridArea: 'billing',
						display: 'flex',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						'& ul': {
							display: 'flex',
							margin: '0',
							padding: '0',
							marginLeft: '3rem',
							'& li': {
								color: 'var(--color-primary)',
								listStyle: 'none',
								padding: '0',
								marginRight: '3rem',
							},
						},
					},
					/* Responsive adjustments for mobile */
					'@media (max-width: 600px)': {
						gridTemplateColumns: '1fr',
						gridTemplateAreas: `
					  "headline"
					  "subheadline"
					  "card1"
					  "card2"
					  "card3"
					  "card4"
					  "billing"
					`,
						paddingBottom: '6rem', // Increase if needed for smaller screens

						'& > [data-id="billingCard"]': {
							flexDirection: 'column',
							'& ul': {
								flexDirection: 'column',
							},

						},

						'& > [data-id="assetCard"]': {
							ul: {
								display: 'flex',
								flexDirection: 'column',
								justifyContent: 'space-between',
							},
							hr: {
								display: 'none',
							},
						},

					},
				},

				'#edit-view-container.view-container': {
					display: 'grid',
					gridTemplateColumns: 'repeat(2, 1fr)',
					gridTemplateAreas: `
						"headline     headline"
						"customerCard	customerCard"
						"assetsList   assetsList"
						"assetCard    assetCard"
					  `,
					gap: '0.5rem',
					paddingBottom: '1rem', // Space so the nav doesn't overlap content
					'& > [data-id="stub"]': {
						gridArea: 'stub',
					},
					'& > [data-id="headline"]': {
						gridArea: 'headline',
					},
					'& > [data-id="customerHeadline"]': {
						gridArea: 'customerHeadline',
					},
					'& > [data-id="customerCard"]': {

						display: 'grid',
						gridTemplateColumns: 'repeat(2, 1fr)',
						gridTemplateAreas: `
						"customerFieldsCompany	customerFieldsCompany"
						"customerFieldFirstName     customerFieldLastName"
						"customerFieldsEmail  	customerFieldsPhone"
						"customerFieldsAddressOne	customerFieldsAddressOne"
						"customerFieldsAddressTwo	customerFieldsAddressTwo"
						"customerFieldsAddressCity  	customerFieldsAddressState"
						"customerFieldsAddressPostalCode  	stub"
					  `,
						gap: '0.5rem',

						'@media (max-width: 600px)': {
							gridTemplateColumns: 'repeat(1, 1fr)',
							gridTemplateAreas: `
								"customerFieldsCompany"
								"customerFieldFirstName"
								"customerFieldLastName"
								"customerFieldsEmail"
								"customerFieldsPhone"
								"customerFieldsAddressOne"
								"customerFieldsAddressTwo"
								"customerFieldsAddressCity"
								"customerFieldsAddressState"
								"customerFieldsAddressPostalCode"
					 	  `,
						},

						gridArea: 'customerCard',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',

						'#customer-firstName-field-container': {
							gridArea: 'customerFieldFirstName',
						},
						'#customer-lastName-field-container': {
							gridArea: 'customerFieldLastName',
						},
						'#customer-email-field-container': {
							gridArea: 'customerFieldsEmail',
						},
						'#customer-phone-field-container': {
							gridArea: 'customerFieldsPhone',
						},
						'#customer-address-line1-field-container': {
							gridArea: 'customerFieldsAddressOne',
						},
						'#customer-address-line2-field-container': {
							gridArea: 'customerFieldsAddressTwo',
						},
						'#customer-address-city-field-container': {
							gridArea: 'customerFieldsAddressCity',
						},
						'#customer-address-state-field-container': {
							gridArea: 'customerFieldsAddressState',
						},
						'#customer-address-postalCode-field-container': {
							gridArea: 'customerFieldsAddressPostalCode',
						},
					},
					'& > [data-id="assetCard"]': {
						display: 'grid',
						gridTemplateColumns: 'repeat(2, 1fr)',
						gridTemplateAreas: `
						"headline	 totalValue"
						"asset1	 asset1"
						"asset2	 asset2"
						"asset3	 asset3"
						"asset4	 asset4"
						"asset5	 asset5"
					  `,

						'@media (max-width: 600px)': {
							display: 'grid',
							gridTemplateColumns: 'repeat(1, 1fr)',
							gridTemplateAreas: `
								"headline"
								"totalValue"
								"asset1"
								"asset2"
								"asset3"
								"asset4"
								"asset5"
					 	  `,
						},

						gridArea: 'assetCard',
						marginTop: '0rem',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						hr: {
							display: 'none',
						},
						'& p': {
							gridArea: 'totalValue',
							textAlign: 'right',
							margin: '0',
							padding: '0',
							'@media (max-width: 600px)': {
								textAlign: 'left !important',
							},
						},
						'ul:nth-of-type(1)': { gridArea: 'asset1', },
						'ul:nth-of-type(2)': { gridArea: 'asset2', },
						'ul:nth-of-type(3)': { gridArea: 'asset3', },
						'ul:nth-of-type(4)': { gridArea: 'asset4', },
						'ul:nth-of-type(5)': { gridArea: 'asset5', },
						'& ul': {
							display: 'flex',
							justifyContent: 'space-between',

							'@media (max-width: 600px)': {
								flexDirection: 'column',
							},

							padding: '0.5rem',
							margin: '0.25rem 0',
							backgroundColor: '#F2F4F6',

							'li:nth-of-type(1)': { width: '30%', },
							'li:nth-of-type(2)': { width: '22%', },
							'li:nth-of-type(3)': { width: '33%', },
							'li:nth-of-type(4)': { width: '15%', },

							'& li': {
								color: 'var(--color-primary)',
								listStyle: 'none',
								padding: '0',
							},

							// '& li:nth-of-type(2)': {
							// 	textAlign: 'center',
							// },
							// '& li:nth-of-type(3)': {
							// 	textAlign: 'center',
							// },
							// '& li:nth-of-type(4)': {
							// 	textAlign: 'right',
							// },
						},

						'& hr': {
							margin: '0.5rem 0',
							border: 'none',
							borderTop: '1px solid #eee',
						},

					},
					'& > [data-id="assetsList"]': {
						gridArea: 'assetsList',
						marginTop: '2rem',
						'.array-items-span': {
							fontWeight: 'bold',
							fontFamily: 'Barlow Condensed, sans-serif',
							fontSize: '24px',
						}
					},

					/* Hide the add and remove buttons quick hack */
					'.array-fields-container > .array-items-add-button, .array-item-remove-button': {
						display: 'none',
					},

					'.array-item-pill-container': {
						width: '49% !important',
						minWidth: '200px',
						'@media (max-width: 600px)': {
							width: '100%',
						},
						'.array-item-pill': {
							padding: '0',
							borderRadius: '8px',
						}
					},

					'.array-fields-container': {
						display: 'flex',
						flexWrap: 'wrap',
						'.array-item-pill': {
							svg: {
								display: 'none',
							},
							strong: {
								display: 'inline !important',
							}
						},
					},
					'.array-items-container': {
						backgroundColor: '#FFFFFF',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						padding: '1rem',
					},

					'.array-editor-container': {
						display: 'grid',
						gridTemplateColumns: 'repeat(3, 1fr)',
						gridTemplateAreas: `
							"description	description	serialNumber"
							"address1	address1	address1"
							"address2	address2	address2"
							"city	state	postalCode"
							"buttons	buttons	buttons"
						`,
						gap: '1rem',

						'& > #assetDescription-field-container': {
							gridArea: 'description',
						},
						'& > #assetSerialNumber-field-container': {
							gridArea: 'serialNumber',
						},
						'& > #assetAddress1-field-container': {
							gridArea: 'address1',
						},
						'& > #assetAddress2-field-container': {
							gridArea: 'address2',
						},
						'& > #assetCity-field-container': {
							gridArea: 'city',
						},
						'& > #assetState-field-container': {
							gridArea: 'state',
						},
						'& > #assetPostalCode-field-container': {
							gridArea: 'postalCode',
						},
						'& > .array-editor-buttons-container': {
							gridArea: 'buttons',
						},

						'@media (max-width: 600px)': {
							gridTemplateColumns: '1fr',
							gridTemplateAreas: `
								"description"
								"serialNumber"
								"address1"
								"address2"
								"city"
								"state"
								"postalCode"
								"buttons"
							`,
						}
					},

					/* Responsive adjustments for mobile */
					'@media (max-width: 600px)': {
						gridTemplateColumns: '1fr',
						gridTemplateAreas: `
					  "headline"
						"customerCard"
						"assetCard"
						"assetsList"
					`,
						paddingBottom: '6rem', // Increase if needed for smaller screens
					},

				},

				'#checkout-view-container.view-container': {

					'& > [data-id="contractCard"]': {
						marginTop: '2rem',
						gridArea: 'card1',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',

						'& ul': {
							display: 'flex',
							flexWrap: 'wrap',
							'& li': {
								width: '50%',
								listStyle: 'none',
								'@media (max-width: 600px)': {
									width: '100%',
								}
							},
						},

					},

					'& > [data-id="assetCard"]': {
						display: 'grid',
						gridTemplateColumns: 'repeat(2, 1fr)',
						gridTemplateAreas: `
						"headline	 totalValue"
						"asset1	 asset1"
						"asset2	 asset2"
						"asset3	 asset3"
						"asset4	 asset4"
						"asset5	 asset5"
					  `,

						'@media (max-width: 600px)': {
							display: 'grid',
							gridTemplateColumns: 'repeat(1, 1fr)',
							gridTemplateAreas: `
								"headline"
								"totalValue"
								"asset1"
								"asset2"
								"asset3"
								"asset4"
								"asset5"
					 	  `,
						},

						gridArea: 'assetCard',
						marginTop: '1.5rem',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						hr: {
							display: 'none',
						},
						'& p': {
							gridArea: 'totalValue',
							textAlign: 'right',
							margin: '0',
							padding: '0',
							'@media (max-width: 600px)': {
								textAlign: 'left !important',
							},
						},
						'ul:nth-of-type(1)': { gridArea: 'asset1', },
						'ul:nth-of-type(2)': { gridArea: 'asset2', },
						'ul:nth-of-type(3)': { gridArea: 'asset3', },
						'ul:nth-of-type(4)': { gridArea: 'asset4', },
						'ul:nth-of-type(5)': { gridArea: 'asset5', },
						'& ul': {
							gridArea: 'assetList',

							display: 'flex',
							justifyContent: 'space-between',
							'@media (max-width: 600px)': {
								flexDirection: 'column',
							},

							padding: '0.5rem',
							margin: '0.25rem 0',
							backgroundColor: '#F2F4F6',

							'li:nth-of-type(1)': { width: '30%', },
							'li:nth-of-type(2)': { width: '22%', },
							'li:nth-of-type(3)': { width: '33%', },
							'li:nth-of-type(4)': { width: '15%', },

							'& li': {
								color: 'var(--color-primary)',
								listStyle: 'none',
								padding: '0',
							},
							// '& li:nth-of-type(2)': {
							// 	textAlign: 'center',
							// },
							// '& li:nth-of-type(3)': {
							// 	textAlign: 'center',
							// },
							// '& li:nth-of-type(4)': {
							// 	textAlign: 'right',
							// },
						},
						'& hr': {
							margin: '0.5rem 0',
							border: 'none',
							borderTop: '1px solid #eee',
						},

					},
				},

				'#thanks-view-container.view-container': {

					'& > [data-id="thankyouCard"]': {
						marginTop: '2rem',
						borderRadius: 8,
						boxShadow: '0 2px 8px rgba(0, 0, 0, 0.1)',
						backgroundColor: '#FFFFFF',
						padding: '16px',
						height: '100%',
						boxSizing: 'border-box',
						minHeight: '500px',
						display: 'flex',
						flexDirection: 'column',
						justifyContent: 'center',
						alignItems: 'center',

					},
					'& ul': {
						li: {
							color: 'var(--color-primary)',
							listStyle: 'none',
							padding: '0',
						},
					}

				},

				'.card': {
					padding: '1rem',
					backgroundColor: '#F2F4F6',
				},
				'.button-primary': {
					background: 'var(--color-primary)',
					borderRadius: '4px !important',
					color: '#FFFFFF',
					'&:hover': {
						background: '#FFFFFF',
						borderRadius: '4px !important',
						color: 'var(--color-primary)'
					},

				},
				'.button-secondary': {
					background: '#fff',
					borderRadius: '4px !important',
					color: 'var(--color-primary)',
					minWidth: '150px',
					padding: '0.5rem 1rem',
					'&:hover': {
						background: '#FFFFFF',
						borderRadius: '4px !important',
						color: 'var(--color-primary)'
					},
				},

				'#offer-container p, #offer-container em, #offer-container li, #offer-container strong': {
					fontFamily: 'Montserrat, sans-serif',
					fontSize: '16px !important',
					'@media (min-width: 768px)': {
					},
				},
				'#offer-container h3': {
					fontFamily: 'Barlow Condensed, sans-serif',
					fontWeight: '600',
					color: 'var(--color-primary)'
				},
				'#offer-container h2': {
					fontFamily: 'Barlow Condensed, sans-serif',
					fontSize: '26px!important',
					fontWeight: '600!important',
					color: 'var(--color-primary)!important',
					'@media (max-width: 768px)': {
					},
					'@media (max-width: 450px)': {
					}
				},
				'#offer-container h1': {
					fontFamily: 'Barlow Condensed, sans-serif',
					fontSize: '2rem!important',
					fontWeight: '600!important',
					color: 'var(--color-primary)!important',
					'@media (max-width: 768px)': {
					},
					'@media (max-width: 450px)': {
					}
				},
				'#offer-container strong': {
					color: '#335271',
					display: 'block',
					textTransform: 'uppercase',
					'@media (max-width: 768px)': {
					},
					'@media (max-width: 450px)': {
					}
				},
				'#offer-container li': {
					marginBottom: '10px !important',
					'@media (max-width: 768px)': {
					},
					'@media (max-width: 450px)': {
					}
				},
				body: {
					fontFamily: 'Montserrat, sans-serif',
					fontSize: '16px !important',
					'@media (min-width: 768px)': {
					},
				},
			},
			colors: {
				primary: '#00274E',
				secondary: '#FF9A52',
				textPrimary: '#00274E',
				backgroundPrimary: '#F2F4F6',
			},
			webFonts: [
				'https://fonts.googleapis.com/css2?family=Barlow+Condensed:wght@400;600&display=swap',
				'https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap'
			]
		}
	},
};
